Package org.eclipse.net4j.acceptor

# Interface IAcceptor

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IContainer<IConnector>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.properties.IPropertiesContainer`

All Known Subinterfaces:
  `IJVMAcceptor`, `InternalAcceptor`, `ITCPAcceptor`, `IWSAcceptor`

All Known Implementing Classes:
  `Acceptor`

public interface IAcceptor extends org.eclipse.net4j.util.container.IContainer<IConnector>, org.eclipse.net4j.util.properties.IPropertiesContainer, org.eclipse.net4j.util.collection.Closeable
Accepts incoming connection requests from `client` `connectors` and creates the appropriate `server` connectors.

Since the process of accepting connection requests is heavily dependent on the implementation of the respective connectors the only public API is introspection and notification.

This interface is not intended to be implemented by clients. Service providers must extend the abstract `Acceptor` class.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IConnector[]`
`getAcceptedConnectors()`
Returns an array of the connectors that have been accepted by this acceptor and not been closed since.

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

## Method Details

### getAcceptedConnectors

IConnector[] getAcceptedConnectors()
Returns an array of the connectors that have been accepted by this acceptor and not been closed since.